> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a model

> Retrieves a model instance, providing basic information about the model such as the owner and permissioning.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/models/{model}
openapi: 3.1.0
info:
  title: SynapsAI Inference API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/models/{model}:
    get:
      summary: Retrieve a model
      description: >-
        Retrieves a model instance, providing basic information about the model
        such as the owner and permissioning.
      operationId: retrieveModel
      parameters:
        - name: model
          in: path
          description: The ID of the model to use for this request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Model'
components:
  schemas:
    Model:
      type: object
      description: Describes an AI model that can be used with the API.
      properties:
        id:
          type: string
          description: The model identifier, which can be referenced in the API endpoints.
        object:
          type: string
          enum:
            - model
          description: The object type, which is always 'model'.
        created:
          type: integer
          description: The Unix timestamp (in seconds) when the model was created.
        owned_by:
          type: string
          description: The organization or client that owns the model.
        status:
          type: string
          description: The status of the model.
          enum:
            - building
            - idle
            - ready
            - failed
      required:
        - id
        - object
        - created
        - owned_by
        - status

````